Page MenuHomePhabricator

Upgrade Labs to OpenStack Mitaka
Closed, ResolvedPublic

Description

(Disclaimer: I am not advocating doing any particular upgrade at any particular time, this task is just for organisation of blockers/blocked tasks)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2016, 2:45 AM

modules/openstack/templates/liberty/horizon/local_settings.py.erb contains this:

# SESSION_TIMEOUT is in seconds and defaults to 1800.  Change to one day.
#  Note that due to
#   https://bugs.launchpad.net/django-openstack-auth/+bug/1562452
#  this may be shortened to two hours.  As of 2016-04-04 there's a
#  live hack in place on californium to alleviate that bug, but
#  this will revert when we upgrade to M, and then start working again on N.
SESSION_TIMEOUT = 86400
SESSION_COOKIE_AGE = 86400

Change 424383 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] labs puppetmaster: hold back OpenStack version for openstack client libs

https://gerrit.wikimedia.org/r/424383

Change 424383 merged by Andrew Bogott:
[operations/puppet@production] labs puppetmaster: hold back OpenStack version for openstack client libs

https://gerrit.wikimedia.org/r/424383

Change 424394 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] labs puppetmaster: hold back OpenStack version for openstack client libs

https://gerrit.wikimedia.org/r/424394

Change 424394 merged by Andrew Bogott:
[operations/puppet@production] labs puppetmaster: hold back OpenStack version for openstack client libs

https://gerrit.wikimedia.org/r/424394

Change 426042 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Horizon: put in maintenance mode

https://gerrit.wikimedia.org/r/426042

Change 426044 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Openstack version -> Mitaka almost everywhere

https://gerrit.wikimedia.org/r/426044

Mentioned in SAL (#wikimedia-operations) [2018-04-13T14:09:34Z] <andrewbogott> silencing alerts for labcontrol*, labnet*, labservices*, labvirt* before beginning T145919

Mentioned in SAL (#wikimedia-operations) [2018-04-13T14:13:16Z] <andrewbogott> disabling puppet on labcontrol*, labnet*, labservices*, labvirt* before beginning T145919

Change 426042 merged by Andrew Bogott:
[operations/puppet@production] Horizon: put in maintenance mode

https://gerrit.wikimedia.org/r/426042

Change 426053 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Horizon: fix maintenance mode setting to be 'main' v. 'labtest'

https://gerrit.wikimedia.org/r/426053

Change 426053 merged by Andrew Bogott:
[operations/puppet@production] Horizon: fix maintenance mode setting to be 'main' v. 'labtest'

https://gerrit.wikimedia.org/r/426053

Change 426044 merged by Andrew Bogott:
[operations/puppet@production] Openstack version -> Mitaka almost everywhere

https://gerrit.wikimedia.org/r/426044

Mentioned in SAL (#wikimedia-operations) [2018-04-13T14:42:23Z] <andrewbogott> upgrading lots of packages on labcontrol1001 and 1002 and rebooting. T145919

Change 426063 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] On WMCS VMs, keep using liberty for puppet clients.

https://gerrit.wikimedia.org/r/426063

Change 426063 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] On WMCS VMs, keep using liberty for puppet clients.

https://gerrit.wikimedia.org/r/426063

Change 426082 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] wmcs: labstore1004 and labstore1005 should keep using liberty

https://gerrit.wikimedia.org/r/426082

Change 426082 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] wmcs: labstore1004 and labstore1005 should keep using liberty

https://gerrit.wikimedia.org/r/426082

Mentioned in SAL (#wikimedia-operations) [2018-04-13T15:27:12Z] <andrewbogott> rebooting lots of packages on labnet1001 and labnet1002 for T145919

Change 426103 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] labstore: nfs-exportd: prevent flushing all exports due to errors

https://gerrit.wikimedia.org/r/426103

Change 426103 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] labstore: nfs-exportd: prevent flushing all exports due to errors

https://gerrit.wikimedia.org/r/426103